﻿Imports System.Net
Imports System.Text

''' <summary>Enthält die Daten eines empfangenen Datagramms.</summary>
Public Class UdpResult
   ''' <summary>Die empfangenen Nutzdaten (Payload).</summary>
   Public Payload As Byte()
   ''' <summary>Die IP-Adresse des Absenders (Remote-Host).</summary>
   Public RemoteEP As IPEndPoint
   ''' <summary>Die IP-Adresse des Empfängers (NIC, lokaler Host).</summary>
   Public LocalEP As IPEndPoint

   ''' <summary>
   ''' Erstellt eine neue Instanz der <see cref="UdpResult"/>-Klasse.
   ''' </summary>
   ''' <param name="Data">Die empfangenen Nutzdaten (Payload).</param>
   ''' <param name="Remote">Die IP-Adresse des Absenders (Remote-Host).</param>
   ''' <param name="Local">Die IP-Adresse des Empfängers (NIC, lokaler Host).</param>
   Public Sub New(Data As Byte(), Remote As IPEndPoint, Local As IPEndPoint)
      Payload = Data : RemoteEP = Remote : LocalEP = Local
   End Sub

   ''' <summary>Liefert eine Taxtdarstellung des Objekts.</summary>
   ''' <returns>&lt;RemoteEP&gt; ⇒ &lt;LocalEP.ToString&gt; ‖ &lt;Text&gt;</returns>
   Public Overrides Function ToString() As String
      Dim Text = Encoding.Default.GetString(Payload, 0, Payload.Length)
      Dim s = RemoteEP.ToString & " ⇒ " & LocalEP.ToString & " ‖ " & Text
      Return s
   End Function
End Class
